HQDAEMON(8)

NAME
hqdaemon - simple host health status monitor

SYNOPSIS
hqdaemon [-daemon <port>] [-fastdaemon <port>] [-as <tag>]

DESCRIPTION
hqdaemon provides filesystem usage and host load average data for hqmon and similar tools and may be used with any enterprise monitoring system which allows custom sensors communication (like Nagios or else). It is designed to be used in environments where running SNMP agent on the firewall is not allowed.

The hqdaemon sensor (hqdaemon) generally runs as a daemon (invoked from system startup script, p.e. /etc/rc.local) and listens for requests on the specified port. Whenever the system receives an connection request on this port, hqdaemon checks its configuration information (in the netperm-table) and determines whether the initiating host has permission to request the status data. If the host does not have permission, hqdaemon logs the connection attempt and displays an error message.

The sensor may also be invoked from tcp/ip "superserver" (inetd or xinetd). -daemon parameter should be omitted in this case.

If the host has permission, the sensor provides the information via client tcp connection.

OPTIONS

  Command Line Options
The sensor recognizes the following command line options (whether started from the command line or from within /etc/rc.local):

-daemon port
    Indicates that hqdaemon runs as a daemon, and the port (name or number) on which it listens. When -daemon option is used, configuration is being read from netperm-table for every new connection accepted by sensor.

    port Specifies either a numeric id or symbolic name from the /etc/services file.

-fastdaemon port
    Indicates that hqdaemon runs as a daemon, and the port (name or number) on which the sensor listens. When -fastdaemon option is used, configuration is being read from netperm-table once the daemon starts or if SIGHUP is received.

-as tag
    Changes default application tag for netperm-table from "hqdaemon" to any given string.

  Configuration Options
The sensor reads configuration rules from the /usr/local/etc/netperm-table. It reads all rules using the hqdaemon and * (wildcard) keywords. The sensor reads the netperm-table from top to bottom. If there are multiple rules in the table that could apply for a particular attribute, the sensor uses the first one that it finds. See netperm-table(5) for a more complete explanation of netperm-table syntax and precedence.

The sensor recognizes the following attributes:

load warn crit
    Specifies load average warning and critical thresholds.

    warn
        Specifies decimal load average value treated as warning condition.

    crit
        Specifies decimal load average value treated as critical condition.

disk mountpoint warn crit
    Specifies disk filesystem warning and critical thresholds.

    mountpoint
        File system mount point (absolute unix path)

    warn
        Specifies filesystem usage percent value treated as warning condition.

    crit
        Specifies filesystem usage percent value treated as critical condition.

hosts host-pattern [host-pattern2...]
    rules specify host and access permissions. Typically, a hosts rule will be in the form of:

    hqdaemon: deny-hosts unknown

    hqdaemon: hosts 10.0.0.3

    There may be several host patterns following the "hosts" keyword.

groupid group
    Specifies the name of the group the sensor uses when running.

    group
        Specifies either a name or numeric id from the /etc/group file.

userid user
    Specifies the user ID the sensor uses when running.

    user
        Specifies either a name or numeric id from the /etc/passwd file.

FILES

/etc/rc.local
    Command script that controls automatic reboot, and includes startup information for the sensor.

/usr/local/etc/netperm-table
    The network permissions file contains configuration information for the Firewall Toolkit, including hqdaemon.

BUGS
Report bugs to arkenoi@gmail.com or fwtk-users@buoy.com mailing list. Include a complete example, explaining what you expected to happen and what actually happened. Be sure to indicate the type of system (operating system, hardware, etc.) you are using, as well as the version of hqdaemon.

AUTHOR
Alexander Snarskii.

SEE ALSO
netperm-table(5), rc(8), authsrv(8), netacl(8)